Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class Operator.MapCharacterAction

    java.lang.Object
      |
      +--org.netbeans.jemmy.QueueTool.QueueAction
            |
            +--org.netbeans.jemmy.operators.Operator.MapCharacterAction

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Operator

protected abstract class Operator.MapCharacterAction
extends QueueTool.QueueAction

Can be used to simplify char component's methods mapping.

See Also:
  `Operator.runMapping(Operator.MapCharacterAction)`

Constructor Summary
`Operator.MapCharacterAction(java.lang.String description)` Constructs a MapCharacterAction object.

Method Summary
`java.lang.Object` | `launch()` Method to implement action functionality.
`abstract char` | `map()` Executes a map action.

Methods inherited from class org.netbeans.jemmy.QueueTool.QueueAction
`getDescription, getException, getFinished, getResult, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operator.MapCharacterAction

    public Operator.MapCharacterAction(java.lang.String description)

  Constructs a MapCharacterAction object.
  Parameters:
    `description` - an action description.

Method Detail

### launch

    public final java.lang.Object launch()
                                  throws java.lang.Exception

  Description copied from class: `QueueTool.QueueAction`
  Method to implement action functionality.
  Overrides:
    `launch` in class `QueueTool.QueueAction`
  Following copied from class: `org.netbeans.jemmy.QueueTool.QueueAction`
  Returns:
    an Object - action result
  Throws:
    `java.lang.Exception` -

### map

    public abstract char map()
                      throws java.lang.Exception

  Executes a map action.
  Returns:
    an action result.
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD